
From: Andrew Morton <akpm@osdl.org>

Ben's compile-time-bad-kmalloc-flags debug patch blows up in the adaptec
driver.  A simple fix woulkd be to replace `0' here with __GFP_VALID.

But surely M_WAITOK should set __GFP_WAIT??

Cc: Benjamin LaHaise <bcrl@kvack.org>
Cc: James Bottomley <James.Bottomley@steeleye.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/scsi/aic7xxx/aic79xx_osm.h |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN drivers/scsi/aic7xxx/aic79xx_osm.h~make-kmalloc-fail-for-swapped-size--gfp-flags-aic-fix drivers/scsi/aic7xxx/aic79xx_osm.h
--- devel/drivers/scsi/aic7xxx/aic79xx_osm.h~make-kmalloc-fail-for-swapped-size--gfp-flags-aic-fix	2005-07-26 03:33:34.000000000 -0700
+++ devel-akpm/drivers/scsi/aic7xxx/aic79xx_osm.h	2005-07-26 03:34:16.000000000 -0700
@@ -514,7 +514,7 @@ struct ahd_platform_data {
 /************************** OS Utility Wrappers *******************************/
 #define printf printk
 #define M_NOWAIT GFP_ATOMIC
-#define M_WAITOK 0
+#define M_WAITOK GFP_KERNEL
 #define malloc(size, type, flags) kmalloc(size, flags)
 #define free(ptr, type) kfree(ptr)
 
_
